import java.io.*;
import java.sql.*;
import java.util.*;
import java.awt.*;

/*
 *
 * This java application handles adding stuff to the cart.
 * It first reads the content of a file name "cart" in the
 * current directory and outputs them, before appending the
 * passed item at the bottom of the form.
 *
 */
public class CheckOut {

	private static Vector shoes;

    public static void main( String[] args ) throws IOException {

		shoes = Shoe.readShoesFromFile( "cart" );
		buildPage();

    } // end main method

    private static void buildPage() {

		String font5 = "<font face=\"Bauhaus 93\" color=\"#008000\" size=\"5\">";

	// print html header stuff
		System.out.println("Content-type: text/html\n\n");
		System.out.println("<html>");
		System.out.println("<head>");
		System.out.println("<title>Customer Information</title>");


	// javascript functions:
		System.out.println( "<script language=\"JavaScript\">" );
		System.out.println( "<!-- hide from older browsers" );

		// validate that items entered on form
		System.out.println( "function validate(){" );
		System.out.println( "    var first = document.custInfo.first_name.value;" );
		System.out.println( "    var last = document.custInfo.last_name.value;" );
		System.out.println( "    var addr = document.custInfo.addr.value;" );
		System.out.println( "    var city = document.custInfo.city.value;" );
		System.out.println( "    var state = document.custInfo.state.value;" );
		System.out.println( "    var zip = document.custInfo.zip.value;" );
		System.out.println( "    if(first == \"\" || last == \"\" || addr == \"\" || city == \"\"" );
		System.out.println( "        || state == \"\" || zip == \"\") { " );
		System.out.println( "        alert(\"You must enter ALL customer information!\"); " );
		System.out.println( "        return false; " );
		System.out.println( "    } " );
		System.out.println( "    return true; " );
		System.out.println( "}" );


		System.out.println( "-->" );
		System.out.println( "</script>" );
	// end javascriptfunctions



	    System.out.println( "</head>" );

		System.out.println("<body>");

		System.out.println( "<table align=\"center\" width=\"100%\" cellpadding=\"6\">" );

	// banner
		System.out.println( "<tr align=\"center\">" );
		System.out.println( "<td colspan=\"2\">" );
		System.out.println( "<i><img src=\"shoepic1.bmp\" width=\"100\" height=\"100\"></i>" );
		System.out.println( "<i><img src=\"E-Shoe1.gif\"  width=\"300\" height=\"100\"></i>" );
		System.out.println( "<i><img src=\"shoepic2.bmp\" width=\"100\" height=\"100\"></i>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );

	// First Thick Line
		System.out.println( "<tr align=\"center\">" );
		System.out.println( "<td colspan=\"2\">" );
		System.out.println( "<i><img src=\"line30.gif\"  width=\"100%\"></i>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );


		System.out.println("<tr>" );
		System.out.println("<td align=\"center\">" + font5 + "YOUR ORDER</font></td></tr>");
		System.out.println("</table>" );

		System.out.println( "<table width=\"50%\" align=\"center\" border=\"0\">" );
		System.out.println( "<tr>" );
		System.out.println( "<td align=\"center\">" + font5 + "QTY</font></td>" );
		System.out.println( "<td align=\"center\">" + font5 + "NAME</font></td>" );
		System.out.println( "<td align=\"center\">" + font5 + "BRAND</font></td>" );
		System.out.println( "<td align=\"center\">" + font5 + "TYPE</font></td>" );
		System.out.println( "<td align=\"center\">" + font5 + "STYLE</font></td>" );
		System.out.println( "<td align=\"center\">" + font5 + "PRICE</font></td>" );
		System.out.println( "<td align=\"center\">" + font5 + "SIZE</font></td>" );
		System.out.println( "</tr>" );

		for( int i = 0; i < shoes.size(); i++ ) {
			Shoe shoe = (Shoe)(shoes.elementAt(i));
			System.out.println( "<tr>");
			System.out.println( "<td align=\"center\">" + shoe.getQty() + "</td>" );
			System.out.println( "<td align=\"center\">" + shoe.getName() + "</td>" );
			System.out.println( "<td align=\"center\">" + shoe.getBrand() + "</td>" );
			System.out.println( "<td align=\"center\">" + shoe.getType() + "</td>" );
			System.out.println( "<td align=\"center\">" + shoe.getStyle() + "</td>" );
			System.out.println( "<td align=\"center\">" + shoe.getPrice() + "</td>" );
			System.out.println( "<td align=\"center\">" + shoe.getSize() + "</td>" );
			System.out.println( "</tr>");
		}
		System.out.println("</table>");

		System.out.println("<p>");

		System.out.println( "<table align=\"center\" width=\"100%\" cellpadding=\"6\">" );

	// Second Thick Line
		System.out.println( "<tr align=\"center\">" );
		System.out.println( "<td colspan=\"6\">" );
		System.out.println( "<i><img src=\"line30.gif\"  width=\"100%\"></i>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );
		System.out.println( "</table>" );


		System.out.println("<form name=\"custInfo\" method=post action=\"upd_db.pl\">");
		System.out.println( "<table align=\"center\">" );

		System.out.println( "<tr>" );
		System.out.println( "<td>First Name:</td>" );
		System.out.println( "<td colspan=\"5\"><input type=\"text\" name=\"first_name\" " +
                           	"size=\"20\" maxlength=\"20\"></td>" );
        System.out.println( "</tr>" );

		System.out.println( "<tr>" );
		System.out.println( "<td>Last Name:</td>" );
		System.out.println( "<td colspan=\"5\"><input type=\"text\" name=\"last_name\" " +
                           	"size=\"20\" maxlength=\"25\"></td>" );
        System.out.println( "</tr>" );

		System.out.println( "<tr>" );
		System.out.println( "<td>Street Address:</td>" );
		System.out.println( "<td colspan=\"5\"><input type=\"text\" name=\"addr\" " +
                           	"size=\"50\" maxlength=\"30\"></td>" );
        System.out.println( "</tr>" );

		System.out.println( "<tr>" );
		System.out.println( "<td>City:</td>" );
		System.out.println( "<td><input type=\"text\" name=\"city\" size=\"20\" maxlength=\"20\"></td>" );
		System.out.println( "<td>State:</td>" );
		System.out.println( "<td><input type=\"text\" name=\"state\" size=\"2\" maxlength=\"2\"></td>" );
		System.out.println( "<td>Zip:</td>" );
		System.out.println( "<td align=\"right\"><input type=\"text\" name=\"zip\" size=\"5\" maxlength=\"5\"></td>" );
        System.out.println( "</tr>" );

		System.out.println( "<tr><td colspan=\"6\"><p></td></tr>" );

		System.out.println( "<tr>" );
		System.out.println( "<td>Card Type:</td>" );
		System.out.println( "<td colspan=\"5\">" );
		System.out.println( "<select size=\"1\" name\"card_type\">");
        System.out.println( "<option selected>--Select--</option>" );
        System.out.println( "<option>Mastercard</option>" );
        System.out.println( "<option>Visa</option>" );
        System.out.println( "<option>American Express</option>" );
        System.out.println( "<option>Discover</option>" );
        System.out.println( "</select>" );
        System.out.println( "</td>" );
        System.out.println( "</tr>" );

		System.out.println( "<tr>" );
		System.out.println( "<td>Card Number:</td>" );
		System.out.println( "<td colspan=\"5\"><input type=\"text\" name\"card_number\" " +
                           	"size=\"16\" maxlength=\"16\"></td>" );
        System.out.println( "</tr>" );
        System.out.println( "</table>" );


	// botton section
		System.out.println( "<table align=\"center\" width=\"100%\" cellpadding=\"6\">" );

	// Second Thick Line
		System.out.println( "<tr align=\"center\">" );
		System.out.println( "<td colspan=\"6\">" );
		System.out.println( "<i><img src=\"line30.gif\"  width=\"100%\"></i>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );


		System.out.println("<tr><td align=\"center\"><input type=\"submit\" value=\"Purchase\"" );
		System.out.println("onClick=\"return validate();\">");
		System.out.println("<input type=\"reset\" value=\"Clear Form\"></td></tr>");

		// Return to main page if clicked
		System.out.println("<tr><td align=\"center\"><a href=\"http://localhost/eShoeScript.pl\">" +
                           "Return to Main Page</a></td></tr></table>");

		System.out.println("</form>");
		System.out.println("</body>");
		System.out.println("</html>");

	} // end buildPage method

} // end CheckOut class
