
import java.io.*;
//import java.sql.*;
import java.util.*;
//import java.awt.*;

/*
 * This is a simple JDBC application for the eShoe-Store project.
 */
public class eShoeFrame {


	//private static Connection con;

	private static Vector types;
	private static Vector styles;
	private static Vector brands;
	private static Vector names;
	private static Vector prices;

	private static String type;
	private static String style;
	private static String brand;
	private static String qty;
	private static final char space = ' ';
	private static final char underscore = '_';

	/**
	 * method main
	 *
	 * @param args array of argument strings
	 */
    public static void main( String[] args ) throws IOException {

		if( args.length < 3 ) {
			type = "";
			style = "";
			brand = "";
		}
		else {
			type = args[0];
			style = args[1].replace( underscore, space );
			brand = args[2].replace( underscore, space );
		}

		getDataFromDB( );
		buildPage( );

    } // end main



	public static void getDataFromDB( ) {

		// sql query strings
		String sqlExprGetTypes = new String( "SELECT type FROM inv GROUP BY type;");
		String sqlExprGetStyles = new String( "SELECT style FROM inv GROUP BY style;" );
		String sqlExprGetBrands = new String( "SELECT brand FROM inv GROUP BY brand;" );
		String sqlExprGetMatches = new String( "SELECT * FROM inv WHERE type = \"" + type +
											  "\" AND style = \"" + style +
											  "\" AND brand = \"" + brand +"\";");

		types  = DBConnect.execSQLquery( sqlExprGetTypes, "type" );
		styles = DBConnect.execSQLquery( sqlExprGetStyles, "style" );
		brands = DBConnect.execSQLquery( sqlExprGetBrands, "brand" );
		names  = DBConnect.execSQLquery( sqlExprGetMatches, "name" );
		prices = DBConnect.execSQLquery( sqlExprGetMatches, "price" );

	} // end getDataFromDB





	public static void buildPage( ) {

		// various sized fonts with correct style
		String font1 = "<font face=\"Bauhaus 93\" color=\"#008000\" size=\"1\">";
		String font2 = "<font face=\"Bauhaus 93\" color=\"#008000\" size=\"2\">";
		String font3 = "<font face=\"Bauhaus 93\" color=\"#008000\" size=\"3\">";
		String font4 = "<font face=\"Bauhaus 93\" color=\"#008000\" size=\"4\">";
		String font5 = "<font face=\"Bauhaus 93\" color=\"#008000\" size=\"5\">";
		String fstyle = "style=\"font-family: Bauhaus 93\"";

		System.out.println( "Content-type: text/html\n\n" );
		System.out.println( "<html>" );
		System.out.println( "<head>" );
		System.out.println( "<title>E-Shoe Store</title>" );

	// javascript functions:
		System.out.println( "<script language=\"JavaScript\">" );
		System.out.println( "<!-- hide from older browsers" );

		// validate that type, style, and brand have been selected
		System.out.println( "function validateSearch(type,style,brand){" );
		System.out.println( "    if(type == \"\" || style == \"\" || brand == \"\") { " );
		System.out.println( "        alert(\"You must select all of type, style, and brand\"); " );
		System.out.println( "        return false; " );
		System.out.println( "    } " );
		System.out.println( "    return true; " );
		System.out.println( "}" );

		// validate that size has been selected
		System.out.println( "function validateSelection() {" );
		System.out.println( "    if( document.selectShoe.size.value == \"\") { " );
		System.out.println( "        alert(\"You must select a shoe size for your selected shoe\"); " );
		System.out.println( "        return false; " );
		System.out.println( "    } " );
		System.out.println( "    return true; " );
		System.out.println( "}" );

		System.out.println( "-->" );
		System.out.println( "</script>" );
	// end javascriptfunctions

		System.out.println( "</head>" );

		System.out.println( "<body>" );
		System.out.println( "<table align=\"center\" width=\"100%\" cellpadding=\"6\">" );

	// banner
		System.out.println( "<tr align=\"center\">" );
		System.out.println( "<td colspan=\"2\">" );
		System.out.println( "<i><img src=\"shoepic1.bmp\" width=\"100\" height=\"100\"></i>" );
		System.out.println( "<i><img src=\"E-Shoe1.gif\"  width=\"300\" height=\"100\"></i>" );
		System.out.println( "<i><img src=\"shoepic2.bmp\" width=\"100\" height=\"100\"></i>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );

	// first thick line
		System.out.println( "<tr align=\"center\">" );
		System.out.println( "<td colspan=\"2\">" );
		System.out.println( "<i><img src=\"line30.gif\"  width=\"100%\"></i>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );


	// find my shoes & available shoes header
		System.out.println( "<tr>" );
		System.out.println( "<td width=\"30%\">" );
		System.out.println( "<p align=\"center\">" + font5 + "<u>Find My Shoes!</u></font></p>" );
		System.out.println( "</td>" );

		System.out.println( "<td>" );
		System.out.println( "<p align=\"center\">" + font5 + "<u>Available Shoes</u></font></p>" );
		System.out.println( "</td>" );
		System.out.println( "</tr>" );


	// selection boxes for find shoes
		System.out.println( "<tr>" );
		System.out.println( "<td>" );
		System.out.println( "<form id=\"form\" method=\"POST\" action=\"http://tant14.cs.wisc.edu/eShoeScript.pl\">" );

		// types drop-down list
		System.out.println( "<p align=\"center\">" + font3 + "Type</font>" );
		System.out.println( "<select size=\"1\" name=\"ShoeType\" "+ fstyle + ">" );
		System.out.println( "<option selected>--Select--</option>" );
		for( int i = 0; i < types.size(); i++ ) {
			String type = (String)(types.elementAt( i ));
			System.out.println( "    <option value=\"" + type + "\">" + type + "</option>" );
		}
		System.out.println( "  </select></p>" );

		// styles drop-down list
		System.out.println( "<p align=\"center\">" + font3 + "Style</font>" );
		System.out.println( "<select size=\"1\" name=\"ShoeStyle\" " + fstyle +">" );
		System.out.println( "<option selected>--Select--</option>" );
		for( int i = 0; i < styles.size(); i++ ) {
			String style = (String)(styles.elementAt( i ));
			System.out.println( "    <option value=\"" + style + "\">" + style + "</option>" );
		}
		System.out.println( "</select></p>" );

		// brands drop-down list
		System.out.println( "<p align=\"center\">" + font3 + "Brand</font>" );
		System.out.println( "  <select size=\"1\" name=\"ShoeBrand\" " + fstyle + ">" );
		System.out.println( "    <option selected>--Select--</option>" );
		for( int i = 0; i < brands.size(); i++ ) {
			String brand = (String)(brands.elementAt( i ));
			System.out.println( "    <option value=\"" + brand + "\">" + brand + "</option>" );
		}
		System.out.println( "</select></p>" );

		// submit button
		System.out.println( "<p align=\"center\">" );
		System.out.println( "<input type=\"submit\" value=\"Search\" name=\"Search\" " + fstyle +
					 		" onClick=\"return validateSearch(ShoeType.value,ShoeStyle.value,ShoeBrand.value)\">" );
		// reset button
		System.out.println( "  <input type=\"reset\" name=\"Reset\" " + fstyle );
		System.out.println( "</p>" );
		System.out.println( "</form>" );
		System.out.println( "</td>" );


	// Available Shoes Column
		System.out.println( "<td align=\"center\">" );

		if( names.size() == 0 ) {
			System.out.println( "  [ NO MATCHES ]" );
		}
		else {
			System.out.println( font3 + "Matches for: </font>" );
			System.out.println( "<table align=\"center\">" );
			System.out.println( "<tr><td>Type:</td><td>" + type + "</td></tr>" );
			System.out.println( "<tr><td>Style:</td><td>" + style + "</td></tr>" );
			System.out.println( "<tr><td>Brand:</td><td>" + brand + "</td></tr>" );
			System.out.println( "</table>" );
		}
		System.out.println( "</td>" );
		System.out.println( "</tr>" );
		System.out.println( "<tr><td></td><td>" );

		if( names.size() != 0 ) {

			System.out.println( "<form name=\"selectShoe\" method=\"POST\" action=\"http://tant14.cs.wisc.edu/cart.pl\">" );

			System.out.println( "<p align=\"left\">" );
			System.out.println( "<table align=\"center\" border=\"1\" cellpadding=\"6\">" );

			System.out.println( "<tr>" );
			System.out.println( "<td>Select One</td>" );
			System.out.println( "<td width=\"100\" align=\"center\">NAME</td>" );
			System.out.println( "<td width=\"100\" align=\"center\">PRICE</td>" );
			//System.out.println( "<td width=\"100\" align=\"center\">QTY</td>" );
			System.out.println( "</tr>" );

			for(int i = 0; i < names.size(); i++ ) {

				String name  = (String)(names.elementAt(i));
				String price = (String)(prices.elementAt(i));

				style = style.replace( space, underscore );
				brand = brand.replace( space, underscore );

				String shoe = 	name  + "#" +
								brand + "#" +
								type  + "#" +
								style + "#" +
								price;

				System.out.println( "<tr>" );
				System.out.println( "<td align=\"right\"><input type=\"radio\"" +
									"name=\"match\" value=\"" + shoe + "\"" );
				if( i == 0 )
					System.out.println( "CHECKED></td>" );
				else
					System.out.println( "></td>" );
				System.out.println( "<td align=\"right\">" + name + "</td>" );
				System.out.println( "<td align=\"right\">$ " + price + "</td>" );

				System.out.println( "</tr>" );


			}

			System.out.println( "</table>" );

			// sizes drop-down list
			System.out.println( "<table align=\"center\" cellpadding=\"6\">" );
			System.out.println( "<tr>" );
			System.out.println( "<td></td>" );
			System.out.println( "<td align=\"center\"> ");
			System.out.println( font3 + "Size </font>");
			System.out.println( "<select size=\"1\" name=\"size\" " + fstyle + ">" );
			System.out.println( "<option selected>--Select--</option>" );
			for( double size = 3.0; size < 23.0; size += 0.5 ) {
				System.out.println( "    <option value=\"" + size + "\">" + size + "</option>" );
			}
			System.out.println( "</select>" );
			System.out.println( "</td>" );

			// quantity field
			System.out.println( "<td align=\"right\">" );
			System.out.println( font3 + "QTY </font>");
			System.out.println( "<input type =\"text\" size = \"3\""
   	                            + " maxlength=\"3\" name = \"qty\" value=\"1\"></td>" );

			System.out.println( "</tr>" );

			System.out.println( "</table>" );
			System.out.println( "</p>" );

			System.out.println( "<p align=\"center\">" );


			System.out.println( "<input type=\"submit\" value=\"Add Selection to Cart\" name=\"B1\" " + fstyle +
			" onClick = \"return validateSelection();\">" );


			System.out.println( "<input type=\"reset\" value=\"Clear Selection\" name=\"B2\" " + fstyle + ">" );
			System.out.println( "</p>" );

			System.out.println( "</form>" );

		}


		System.out.println( "<p align=\"center\">" );
		System.out.println( "<form method=\"POST\" action=\"http://tant14.cs.wisc.edu/cart.pl\">" );
		System.out.println( "<input type=\"submit\" value=\"View Cart\" name=\"B1\" " + fstyle + ">" );
		System.out.println( "</form>" );
		System.out.println( "<form method=\"POST\" action=\"http://tant14.cs.wisc.edu/eShoeScript.pl\">" );
		System.out.println( "<input type=\"submit\" value=\"Clear All\" name=\"B2\" " + fstyle + ">" );
		System.out.println( "</form>" );
		System.out.println( "</p>" );

		System.out.println( "</td>" );
		System.out.println( "</tr>" );
		System.out.println( "</table>" );

		System.out.println( "</body>" );
		System.out.println( "</html>" );

	} // end method buildPage

} // end class ss2
